# SPDX-FileCopyrightText: 2023 CERN (home.cern)
#
# SPDX-License-Identifier: CERN-OHL-S-2.0+

# Allow the user to override fetchto using:
#  hdlmake -p "fetchto='xxx'"
if locals().get('fetchto', None) is None:
    fetchto = "../../dependencies"

modules = {
    "local" : [
        "../16z000-00_src/",
        "../16z024-01_src/",
        "../16z091-01_src/",
        "../16z100-00_src/",
        "../16z126-01_src/",
    ],
    "git" : [
        "https://gitlab.cern.ch/be-cem-edl/fec/hardware-modules/vme-bridge.git",
        "https://ohwr.org/project/general-cores.git",
    ],
}

files = [
    "A25_top.vhd",
    "wb_bus.vhd",
    "wb_pkg.vhd",
]
